org.apache.hadoop.yarn.api.protocolrecords

## Class UseSharedCacheResourceResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.UseSharedCacheResourceResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class UseSharedCacheResourceResponse
      extends Object

  The response from the SharedCacheManager to the client that indicates whether a requested resource exists in the cache.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UseSharedCacheResourceResponse()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getPath()` Get the `Path` corresponding to the requested resource in the shared cache.
    `abstract void` | `setPath(String p)` Set the `Path` corresponding to a resource in the shared cache.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UseSharedCacheResourceResponse

          public UseSharedCacheResourceResponse()

  - ### Method Detail

    - #### getPath

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract String getPath()

      Get the `Path` corresponding to the requested resource in the shared cache.
      Returns:
        String A `Path` if the resource exists in the shared cache, `null` otherwise

    - #### setPath

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setPath(String p)

      Set the `Path` corresponding to a resource in the shared cache.
      Parameters:
        `p` - A `Path` corresponding to a resource in the shared cache

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.